#include <SD.h>
const int chipSelect = 10;

void PrintFact(){
  File file = SD.open("fact.txt");
  if (file) {
    int randomLine = random(1, 733);

    for (int i = 1; i < randomLine; i++) {
      file.readStringUntil('\n'); // Read and discard lines
    }
    String randomText = file.readStringUntil('\n');

    Serial.println("----------OFFLINE-MODE----------");
    Serial.println();
    Serial.println(randomText);
    Serial.println();
    Serial.println("--------------------------------");
    Serial.println("          MLC-PROJECTS          ");
    Serial.println();
    Serial.println();
    Serial.println();
    file.close(); 
  } 
  else {
    Serial.println("Error opening file!");
  }
}


void setup() {
  if (!SD.begin(chipSelect)) {
    Serial.println("SD card initialization failed!");
  }
  {
  Serial.begin(9600);
  randomSeed(analogRead(A0)); // Seed the random number generator
  pinMode(9,OUTPUT);
  pinMode(8,INPUT_PULLUP);
  }
}

void loop() {
  while(digitalRead(8)==HIGH){
    digitalWrite(9,HIGH);
    delay(500);
    digitalWrite(9,LOW);
    delay(500);
  }
  while(digitalRead(8)==LOW){
    tone(7,400,100);
  }
  PrintFact();


}
